---
title: MouseScrollEvent
slug: Web/API/MouseScrollEvent
tags:
  - API
  - DOM
  - DOM Events
  - Deprecated
  - Event
  - Interface
  - Reference
---
<div>{{APIRef("DOM Events")}}{{ non-standard_header() }}{{deprecated_header}}</div>

<p>The <strong><code>MouseScrollEvent</code></strong> interface represents events that occur due to the user moving a mouse wheel or similar input device.</p>

<div class="note">
<p><strong>Do not use this interface for wheel events.</strong></p>

<p>Like {{domxref("MouseWheelEvent")}}, this interface is non-standard and deprecated. It was used in Gecko-based browsers only. Instead use the standard <em>{{domxref("WheelEvent")}}.</em></p>
</div>

<h2 id="Method_overview">Method overview</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td><code>void <a href="/en-US/docs/XPCOM_Interface_Reference/nsIDOMMouseScrollEvent#initMouseScrollEvent%28%29">initMouseScrollEvent</a>(in DOMString typeArg, in boolean canBubbleArg, in boolean cancelableArg, in nsIDOMAbstractView viewArg, in long detailArg, in long screenXArg, in long screenYArg, in long clientXArg, in long clientYArg, in boolean ctrlKeyArg, in boolean altKeyArg, in boolean shiftKeyArg, in boolean metaKeyArg, in unsigned short buttonArg, in nsIDOMEventTarget relatedTargetArg, in long axis);</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td class="header">Attribute</td>
   <td class="header">Type</td>
   <td class="header">Description</td>
  </tr>
  <tr>
   <td><code>axis</code> {{ReadOnlyInline}}</td>
   <td><code>long</code></td>
   <td>Indicates scroll direction.</td>
  </tr>
 </tbody>
</table>

<h2 id="Constants">Constants</h2>

<h3 id="Delta_modes">Delta modes</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <td class="header">Constant</td>
   <td class="header">Value</td>
   <td class="header">Description</td>
  </tr>
  <tr>
   <td><code>HORIZONTAL_AXIS</code></td>
   <td><code>0x01</code></td>
   <td>The event is caused by horizontal wheel operation.</td>
  </tr>
  <tr>
   <td><code>VERTICAL_AXIS</code></td>
   <td><code>0x02</code></td>
   <td>The event is caused by vertical wheel operation.</td>
  </tr>
 </tbody>
</table>

<h2 id="Methods">Methods</h2>

<dl>
 <dt><code>initMouseScrollEvent()</code></dt>
 <dd>See <a href="/en-US/docs/XPCOM_Interface_Reference/nsIDOMMouseScrollEvent#initMouseScrollEvent%28%29" title="https://developer.mozilla.org/en-US/docs/XPCOM_Interface_Reference/nsIDOMMouseScrollEvent#initMouseScrollEvent%28%29">nsIDOMMouseScrollEvent::initMouseScrollEvent()</a>.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseScrollEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code>DOMMouseScroll</code></li>
 <li><code>MozMousePixelScroll</code></li>
 <li>Non-gecko browsers' legacy mouse wheel event object: {{ domxref("MouseWheelEvent") }}</li>
 <li>Standardized mouse wheel event object: {{ domxref("WheelEvent") }}</li>
</ul>
